"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const routing_provider_1 = require("./routing-provider");
exports.useLink = () => {
    const { Link, useLocation } = routing_provider_1.useRouting();
    const { pathname } = useLocation();
    return react_1.default.createElement(Link, { href: pathname },
        "go to ",
        pathname);
};
exports.activeNavLink = () => {
    const { NavLink, useLocation } = routing_provider_1.useRouting();
    const { pathname } = useLocation();
    return (react_1.default.createElement(NavLink, { href: pathname, activeStyle: { background: 'lightblue', borderRadius: 5, padding: 4 } }, "active link"));
};
exports.inactiveNavLink = () => {
    const { NavLink } = routing_provider_1.useRouting();
    return (react_1.default.createElement(NavLink, { href: "https://tib.ved", activeStyle: { background: 'lightblue', borderRadius: 5, padding: 4 } }, "inactive NavLink"));
};
//# sourceMappingURL=routing-provider.composition.js.map