"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const ui_routing_native_link_1 = require("@teambit/ui.routing.native-link");
const ui_routing_native_nav_link_1 = require("@teambit/ui.routing.native-nav-link");
const defaultRouting = {
    Link: ui_routing_native_link_1.NativeLink,
    NavLink: ui_routing_native_nav_link_1.NativeNavLink,
    useLocation: () => window.location,
};
const RoutingContext = react_1.createContext(defaultRouting);
/**
 * Injects routing components into context
 */
function RoutingProvider({ value, children }) {
    return react_1.default.createElement(RoutingContext.Provider, { value: value }, children);
}
exports.RoutingProvider = RoutingProvider;
/**
 * Gets routing components from context.
 * (defaults to native components)
 */
function useRouting() {
    return react_1.useContext(RoutingContext);
}
exports.useRouting = useRouting;
/**
 * equivalent to window.location
 */
function useLocation() {
    return useRouting().useLocation();
}
exports.useLocation = useLocation;
//# sourceMappingURL=routing-provider.js.map